%bcond_with     groovy

Name:           maven-script-interpreter
Version:        1.3
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Script Interpreter
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-script-interpreter/
Source0:        https://dlcdn.apache.org/maven/shared/%{name}-%{version}-source-release.zip


BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.beanshell:bsh)
%if %{with groovy}
BuildRequires:  mvn(org.codehaus.groovy:groovy)
%endif
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)


%description
This component provides some utilities to interpret/execute some scripts for
various implementations: Groovy or BeanShell.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q

%if %{without groovy}
%pom_remove_dep :groovy
rm src/main/java/org/apache/maven/shared/scriptinterpreter/GroovyScriptInterpreter.java
rm src/test/java/org/apache/maven/shared/scriptinterpreter/GroovyScriptInterpreterTest.java
rm src/test/java/org/apache/maven/shared/scriptinterpreter/ScriptRunnerTest.java
sed -i /GroovyScriptInterpreter/d src/main/java/org/apache/maven/shared/scriptinterpreter/ScriptRunner.java
%endif

%pom_xpath_set "pom:project/pom:properties/pom:javaVersion" "8" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Thu May 23 2024 ns80 <ns80> 1.3-2.mga10
+ Revision: 2066321
- rebuild for java 21

* Mon Dec 12 2022 daviddavid <daviddavid> 1.3-1.mga9
+ Revision: 1920863
- Update upstream to 1.3

* Sat Mar 26 2022 umeabot <umeabot> 1.2-4.mga9
+ Revision: 1827419
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1527752
- Mageia 8 Mass Rebuild

* Wed Jul 24 2019 daviddavid <daviddavid> 1.2-2.mga8
+ Revision: 1423786
- Disable groovy support by default

* Sat Dec 01 2018 guillomovitch <guillomovitch> 1.2-1.mga7
+ Revision: 1337171
- new version 1.2

* Wed Sep 19 2018 umeabot <umeabot> 1.1-11.mga7
+ Revision: 1264088
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.1-10.mga6
+ Revision: 1101561
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 1.1-9.mga6
+ Revision: 1100032
- Add missing build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-7.mga6
+ Revision: 977264
- First rebuild of the java stack
- sync package maven-script-interpreter with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.1-7.mga5
+ Revision: 805702
- Clean rebuild
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 741251
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.1-3.mga5
+ Revision: 630522
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 507792
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 359766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 293004
- imported package maven-script-interpreter


* Tue Jul 24 2012 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial version

